From 3b06e1cbb25615495ef108d6ee194bb718e46408 Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Fri, 7 Dec 2018 11:21:25 +0100
Subject: [PATCH 1/2] Fix install failure when not built with OCaml support

Makefile rules in po/ require builder/index-parse.c to be generated to
allow translation utilities to work on it, however builder/ is
completely masked behind OCaml conditional build even if some tools do
not require it and proper guards are in place already.

Closes: https://bugzilla.redhat.com/show_bug.cgi?id=1614502
---
 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/Makefile.am b/Makefile.am
index cc363341f..5d96093a1 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -164,7 +164,6 @@ SUBDIRS += common/mlvisit
 SUBDIRS += common/mlxml
 SUBDIRS += common/mltools
 SUBDIRS += customize
-SUBDIRS += builder builder/templates
 SUBDIRS += get-kernel
 SUBDIRS += resize
 SUBDIRS += sparsify
@@ -178,6 +177,9 @@ SUBDIRS += dib
 endif
 endif
 
+# Tools mixed with more OCAML based tools
+SUBDIRS += builder builder/templates
+
 # Perl tools.
 if HAVE_TOOLS
 SUBDIRS += tools
-- 
2.19.2

